Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.filter
Interface Rule

All Known Implementing Classes:
  ComponentRule, HasPropertyRule, PeriodRule

    public interface Rule

Implementors dictate whether a given object is classified as a "match" for the enclosing filter.

Author:
  Ben Fortuna

Method Summary
`boolean` | `match(Object o)` Indicates whether the specified object passes the conditions required to match this rule.

Method Detail

### match

    boolean match(Object o)

  Indicates whether the specified object passes the conditions required to match this rule.

  Parameters:
    `o` - an object to match
  Returns:
    boolean indicated if the specified object matches this rule

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.